Bug 146781 - [GTK] Add API to allow executing editing commands that require an argument
Summary: [GTK] Add API to allow executing editing commands that require an argument
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 145875
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-09 05:31 PDT by Carlos Garcia Campos
Modified: 2015-07-23 01:24 PDT (History)
6 users (show)

See Also:


Attachments
Patch (18.64 KB, patch)
2015-07-09 05:36 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff
Patch for EWS (18.77 KB, patch)
2015-07-20 23:14 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Try to fix IOS build (19.55 KB, patch)
2015-07-21 00:34 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2015-07-09 05:31:06 PDT
Commands like InsertImage or CreateLink receive an argument, but we only have webkit_web_view_execute_editing_command() that doesn't receive any argument. We need to add webkit_web_view_execute_editing_command_with_argument() for those commands.
Comment 1 Carlos Garcia Campos 2015-07-09 05:36:53 PDT
Created attachment 256480 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2015-07-16 06:34:45 PDT
Comment on attachment 256480 [details]
Patch

Is a single argument the only possibility, or are there editing commands that may take 2 or more?
Comment 3 Carlos Garcia Campos 2015-07-16 06:50:16 PDT
(In reply to comment #2)
> Comment on attachment 256480 [details]
> Patch
> 
> Is a single argument the only possibility, or are there editing commands
> that may take 2 or more?

Thanks for looking at it. There are no commands with more than one argument. If that eventually happens, we could add with_arguments() receiving the number of arguments and ...
Comment 4 Gustavo Noronha (kov) 2015-07-20 10:45:13 PDT
Comment on attachment 256480 [details]
Patch

OK =)
Comment 5 Carlos Garcia Campos 2015-07-20 23:14:14 PDT
Created attachment 257163 [details]
Patch for EWS

Anders, Darin, could you guys confirm you are ok with the cross-platform changes? It simply adds an editing command argument parameter to the ExecuteEditCommand message.
Comment 6 Carlos Garcia Campos 2015-07-21 00:34:21 PDT
Created attachment 257169 [details]
Try to fix IOS build
Comment 7 Darin Adler 2015-07-22 13:47:50 PDT
(In reply to comment #5)
> Anders, Darin, could you guys confirm you are ok with the cross-platform
> changes? It simply adds an editing command argument parameter to the
> ExecuteEditCommand message.

That part of the change looks fine to me.
Comment 8 Carlos Garcia Campos 2015-07-23 01:24:55 PDT
Committed r187220: <http://trac.webkit.org/changeset/187220>